org.apache.commons.compress.harmony.unpack200

## Class MetadataBandGroup

- java.lang.Object
- - org.apache.commons.compress.harmony.unpack200.MetadataBandGroup

-     public class MetadataBandGroup
      extends Object

  A group of metadata bands, such as class_RVA_bands, method_AD_bands etc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int[]` | `anno_N`
    `int[]` | `casearray_N`
    `CPUTF8[]` | `casec_RS`
    `CPDouble[]` | `caseD_KD`
    `String[]` | `caseec_RU`
    `String[]` | `caseet_RS`
    `CPFloat[]` | `caseF_KF`
    `CPInteger[]` | `caseI_KI`
    `CPLong[]` | `caseJ_KJ`
    `CPUTF8[]` | `cases_RU`
    `CPUTF8[]` | `name_RU`
    `CPUTF8[]` | `nestname_RU`
    `int[]` | `nestpair_N`
    `CPUTF8[]` | `nesttype_RS`
    `int[][]` | `pair_N`
    `int[]` | `param_NB`
    `int[]` | `T`
    `CPUTF8[][]` | `type_RS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetadataBandGroup(String type, CpBands cpBands)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Attribute>` | `getAttributes()`
    `static void` | `setRiaAttributeName(CPUTF8 cpUTF8Value)`
    `static void` | `setRipaAttributeName(CPUTF8 cpUTF8Value)`
    `static void` | `setRvaAttributeName(CPUTF8 cpUTF8Value)`
    `static void` | `setRvpaAttributeName(CPUTF8 cpUTF8Value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### param_NB

          public int[] param_NB

    - #### anno_N

          public int[] anno_N

    - #### type_RS

          public CPUTF8[][] type_RS

    - #### pair_N

          public int[][] pair_N

    - #### name_RU

          public CPUTF8[] name_RU

    - #### T

          public int[] T

    - #### caseI_KI

          public CPInteger[] caseI_KI

    - #### caseD_KD

          public CPDouble[] caseD_KD

    - #### caseF_KF

          public CPFloat[] caseF_KF

    - #### caseJ_KJ

          public CPLong[] caseJ_KJ

    - #### casec_RS

          public CPUTF8[] casec_RS

    - #### caseet_RS

          public String[] caseet_RS

    - #### caseec_RU

          public String[] caseec_RU

    - #### cases_RU

          public CPUTF8[] cases_RU

    - #### casearray_N

          public int[] casearray_N

    - #### nesttype_RS

          public CPUTF8[] nesttype_RS

    - #### nestpair_N

          public int[] nestpair_N

    - #### nestname_RU

          public CPUTF8[] nestname_RU

  - ### Constructor Detail

    - #### MetadataBandGroup

          public MetadataBandGroup(String type,
                                   CpBands cpBands)

  - ### Method Detail

    - #### setRiaAttributeName

          public static void setRiaAttributeName(CPUTF8 cpUTF8Value)

    - #### setRipaAttributeName

          public static void setRipaAttributeName(CPUTF8 cpUTF8Value)

    - #### setRvaAttributeName

          public static void setRvaAttributeName(CPUTF8 cpUTF8Value)

    - #### setRvpaAttributeName

          public static void setRvpaAttributeName(CPUTF8 cpUTF8Value)

    - #### getAttributes

          public List<Attribute> getAttributes()

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.